import string
import random
import linecache
import os

# Create file objects
src = 'fondat3_pruned_cands.txt'            # Fondat3 source file
manus_file = 'manus_.txt'
count = 0
while os.path.exists(manus_file):
    count = count + 1
    manus_file = 'manus_' + str(count) + '.txt'
    
res_manus = open(manus_file, 'w')         # Results file
size = 100                                # Number of sentences in manuscript

select_list = list()

for i in range(0,size):
    j = random.randrange(0,165102)
    while j in select_list:
        j = random.randrange(0,165102)
    select_list.append(j)
    line = linecache.getline(src, j)
    #print j
    #print line
    utterance = '(' + line[:8] + ' "' + line[9:-1] + '")\n'
    #print utterance
    res_manus.write(utterance)

linecache.clearcache()
res_manus.close()
